# Retrieve a Pipeline

Retrieves a Pipeline.

Endpoint: GET /v1/orgs/{org}/projects/{project}/pipelines/{pipeline}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `pipeline` (string, required)
    Pipeline identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

  - `Load-From-Cache` (string)
    Flag to enable loading the remote pipeline from git or git cache

## Query parameters:

  - `branch_name` (string)
    Name of the branch (for Git Experience).

  - `template_applied` (boolean)
    If true, returns Pipeline YAML with Templates applied on it.

  - `connector_ref` (string)
    Identifier of the Harness Connector used for CRUD operations on the Entity (for Git Experience).

  - `repo_name` (string)
    Name of the repository (for Git Experience).

  - `load_from_fallback_branch` (boolean)
    Flag to load the pipeline from the created non default branch

  - `validate_async` (boolean)
    Flag to tell whether to start an asynchronous validation process or not

## Response 200 fields (application/json):

  - `pipeline_yaml` (string)
    Pipeline YAML (returned as a String).

  - `template_applied_pipeline_yaml` (string)
    Pipeline YAML after resolving Templates (returned as a String).

  - `identifier` (string)
    Pipeline identifier

  - `name` (string)
    Pipeline name

  - `org` (string)
    Organization identifier

  - `project` (string)
    Project identifier

  - `description` (string)
    Pipeline description

  - `tags` (object)
    Pipeline tags

  - `modules` (array)
    Modules utilised in the Pipeline.

  - `git_details` (object)
    Git Experience related details of the Entity.

  - `git_details.object_id` (string)
    Object identifier / blob id

  - `git_details.branch_name` (string)
    Name of the branch.

  - `git_details.file_path` (string)
    File path of the Entity in the repository.

  - `git_details.repo_name` (string)
    Name of the repository.

  - `git_details.commit_id` (string)
    Latest commit identifier.

  - `git_details.file_url` (string)
    File URL of the Entity.

  - `git_details.repo_url` (string)
    Repository URL of the Entity.

  - `valid` (boolean)
    Specifies whether Pipeline is a valid or not.

  - `yaml_error_wrapper` (array)
    YAML schema errors.

  - `yaml_error_wrapper.message` (string)
    Error message

  - `yaml_error_wrapper.message_fqn` (string)
    Error message with FQN

  - `yaml_error_wrapper.stage_info` (object)
    Entity details

  - `yaml_error_wrapper.stage_info.identifier` (string)
    Entity identifier

  - `yaml_error_wrapper.stage_info.type` (string)
    Type of Entity

  - `yaml_error_wrapper.stage_info.name` (string)
    Name of Entity

  - `yaml_error_wrapper.stage_info.fqn` (string)
    Fully Qualified Name

  - `yaml_error_wrapper.step_info` (object)
    Entity details

  - `yaml_error_wrapper.fqn` (string)
    Fully Qualified Name as per YAML

  - `yaml_error_wrapper.hint_message` (string)
    Hint message

  - `cache_response_metadata` (object)

  - `cache_response_metadata.cache_state` (string)
    Tells the state of cache.
    Enum: "VALID_CACHE", "STALE_CACHE", "UNKNOWN"

  - `cache_response_metadata.ttl_left` (integer)
    Time left till cache expriry.

  - `cache_response_metadata.last_updated_at` (integer)
    Time when the cache was last updated at.

  - `cache_response_metadata.is_sync_enabled` (boolean)

  - `created` (integer)
    Creation timestamp for Pipeline.

  - `updated` (integer)
    Last modification timestamp for Pipeline.

  - `validation_uuid` (string)
    UUID of the asynchronous validation event started, if any


